curl --request POST \
--url https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"provider": "bridge",
"source": {
"currency": "<string>"
},
"destination": {
"asset": "<string>",
"chain": "<string>"
},
"environment": "sandbox"
}
'HttpResponse<String> response = Unirest.post("https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"provider\": \"bridge\",\n \"source\": {\n \"currency\": \"<string>\"\n },\n \"destination\": {\n \"asset\": \"<string>\",\n \"chain\": \"<string>\"\n },\n \"environment\": \"sandbox\"\n}")
.asString();const options = {
method: 'POST',
headers: {
'privy-app-id': '<privy-app-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
provider: 'bridge',
source: {currency: '<string>'},
destination: {asset: '<string>', chain: '<string>'},
environment: 'sandbox'
})
};
fetch('https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider' => 'bridge',
'source' => [
'currency' => '<string>'
],
'destination' => [
'asset' => '<string>',
'chain' => '<string>'
],
'environment' => 'sandbox'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat"
payload := strings.NewReader("{\n \"provider\": \"bridge\",\n \"source\": {\n \"currency\": \"<string>\"\n },\n \"destination\": {\n \"asset\": \"<string>\",\n \"chain\": \"<string>\"\n },\n \"environment\": \"sandbox\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"fiat_deposit_account": {
"id": "<string>",
"wallet_id": "<string>",
"provider": "bridge",
"environment": "sandbox",
"status": "activated",
"source": {
"currency": "<string>",
"payment_rails": [
"<string>"
]
},
"destination": {
"asset": "<string>",
"chain": "<string>"
},
"deposit_instructions": {
"bank_name": "<string>",
"bank_address": "<string>",
"bank_account_number": "<string>",
"bank_routing_number": "<string>",
"bank_beneficiary_name": "<string>",
"bank_beneficiary_address": "<string>",
"iban": "<string>",
"bic": "<string>",
"clabe": "<string>",
"br_code": "<string>",
"account_number": "<string>",
"sort_code": "<string>",
"bre_b_key": "<string>",
"account_holder_name": "<string>",
"deposit_message": "<string>",
"payment_rails": [
"<string>"
]
},
"created_at": "<string>"
}
}Create fiat deposit account
Creates a Bridge Virtual Account linked to a wallet. Fiat sent to the returned deposit instructions will be converted to the specified crypto asset and delivered to the wallet.
Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
The ID of the wallet.
Body
Request body for creating a fiat deposit account linked to a wallet. The shape varies by provider.
Discriminator: the fiat deposit account is orchestrated via Bridge.
bridge The source fiat currency for a fiat deposit account.
Show child attributes
Show child attributes
The destination crypto asset and chain for a fiat deposit account.
Show child attributes
Show child attributes
The Privy API environment.
sandbox, production "sandbox"
Response
The created fiat deposit account.
Response containing a single fiat deposit account.
A fiat deposit account linked to a wallet. The shape varies by provider.
Show child attributes
Show child attributes
Was this page helpful?

